Skip to content
Справочник APIConsumerConsumer.devices

Publish a device disco key in the current project

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

PUT
/consumer/v1/devices/{id}/disco-key

Publishes the authenticated device's ephemeral disco public key to every VSpace membership in the selected project.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Device ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

Base64-encoded 32-byte x25519 disco public key.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/consumer/v1/devices/55555555-5555-5555-5555-555555555555/disco-key" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "disco_key": "AgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgI="  }'
{  "disco_key": "AgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgI=",  "disco_key_updated_at": "2026-04-22T10:05:00Z",  "updated_vspaces": [    "44444444-4444-4444-4444-444444444444",    "55555555-5555-5555-5555-555555555555"  ]}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}